version: "2.4"

# https://hub.docker.com/r/ubuntu/cortex

services:
  cortex:
    # image: clickhouse/clickhouse-server:22.4.5-alpine
    image: ubuntu/cortex
    ports:
      - "32709:9009"
    # - "9000:9000"
    # - "8123:8123"
    # tty: true
    volumes:
      - /srv/data/cortex/config/cortex.yaml:/etc/cortex/cortex.yaml
      - {{ HM_DATA_DIR }}/cortex:/tmp/cortex
      # - ./clickhouse-config.xml:/etc/clickhouse-server/config.xml
      # - ./clickhouse-users.xml:/etc/clickhouse-server/users.xml
      # - ./clickhouse-storage.xml:/etc/clickhouse-server/config.d/storage.xml
      # - ./data/clickhouse/:/var/lib/clickhouse/
    restart: on-failure
    # logging:
    #   options:
    #     max-size: 50m
    #     max-file: "3"
    # healthcheck:
      # "clickhouse", "client", "-u ${CLICKHOUSE_USER}", "--password ${CLICKHOUSE_PASSWORD}", "-q 'SELECT 1'"
      # test: ["CMD", "wget", "--spider", "-q", "localhost:8123/ping"]
      # interval: 30s
      # timeout: 5s
      # retries: 3

